Incus - Command line client(1)

NAME

incus-file-push - Push files into instances

SYNOPSIS

incus file push ... [:]/ [flags]

DESCRIPTION

Description:
  Push files into instances

OPTIONS

-p, --create-dirs[=false]
    Create any directories necessary

--gid=-1
    Set the file's gid on push``

--mode=""
    Set the file's perms on push``

-r, --recursive[=false]
    Recursively transfer files

--uid=-1
    Set the file's uid on push``

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      incus file push /etc/hosts foo/etc/hosts
         To push /etc/hosts into the instance "foo".

SEE ALSO

incus-file(1)

HISTORY

27-Apr-2025 Auto generated by spf13/cobra